/* support.c - misc. support routines. */
#include <windows.h>
#include <stdio.h>
#include "support.h"

char * StripFore(char const * const pszToStrip, char const * const pszStripCharacters)
{
	return (char *) pszToStrip + strspn(pszToStrip, pszStripCharacters);
}

char * StripBack(char * const pszToStrip, char const * const pszStripCharacters)
{
	char * pszEnd = pszToStrip + strlen(pszToStrip) - 1;

	while (pszEnd >= pszToStrip && strchr(pszStripCharacters, *pszEnd) != NULL)
		*pszEnd-- = '\0';

	return pszToStrip;
}

#if defined(_DEBUG)
void debugout(char const * const fmt, ...)
{
	va_list val;
	char sz[1024];

	va_start(val, fmt);
	_vsnprintf(sz, sizeof(sz), fmt, val);
	va_end(val);

	OutputDebugStringA(sz);
}
#endif
